package com.ruoyi.project.system.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.system.domain.SysPlant;

/**
 * 装置管理Mapper接口
 * 
 * @author ruoyi
 * @date 2021-06-23
 */
public interface SysPlantMapper 
{
    /**
     * 查询装置管理
     * 
     * @param plantId 装置管理ID
     * @return 装置管理
     */
    public SysPlant selectSysPlantById(Long plantId);

    /**
     * 查询装置管理列表
     * 
     * @param sysPlant 装置管理
     * @return 装置管理集合
     */
    @DataScope(deptAlias = "d")
    public List<SysPlant> selectSysPlantList(SysPlant sysPlant);

    /**
     * 新增装置管理
     * 
     * @param sysPlant 装置管理
     * @return 结果
     */
    public int insertSysPlant(SysPlant sysPlant);

    /**
     * 修改装置管理
     * 
     * @param sysPlant 装置管理
     * @return 结果
     */
    public int updateSysPlant(SysPlant sysPlant);

    /**
     * 删除装置管理
     * 
     * @param plantId 装置管理ID
     * @return 结果
     */
    public int deleteSysPlantById(Long plantId);

    /**
     * 批量删除装置管理
     * 
     * @param plantIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysPlantByIds(Long[] plantIds);

    List<SysPlant> selectSysPlantByPlants(List plantIds);

    List<SysPlant> selectMySysPlantList(SysPlant sysPlant);
}
